import Flutter
import UIKit
import SwiftUI
import TeachmintSdk


public class SwiftFlutterTeachstackSdkPlugin:  UIView, FlutterPlugin, FlutterPlatformViewFactory  {
    public func create(withFrame frame: CGRect, viewIdentifier viewId: Int64, arguments args: Any?) -> FlutterPlatformView {
        <#code#>
    }
    
    var myview:UIView?
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "flutter_teachstack_sdk", binaryMessenger: registrar.messenger())
    let instance = SwiftFlutterTeachstackSdkPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
      if(call.method.elementsEqual("liveClass")) {
          print("handle")
          let arguments = call.arguments as? NSDictionary
          guard let url = arguments?["url"] as? String  else {return}
          setup(url)
      }
    result("iOS " + UIDevice.current.systemVersion)
  }
    
    public func setup(_ url:String){
        print("setup")
        let child = UIHostingController(rootView: Color.red)
        myview = child.view
        myview?.frame = UIScreen.main.bounds
        myview?.isUserInteractionEnabled = true
        self.addSubview(myview!)
    }
    
    public func onMeetingEnded(reason: String, recording: Bool, study_material: Bool, session_id: String?) {
    }
    
    public func trackEvent(eventName: String, eventData: [String : String]) {
  
    }
}


